import cv2
import robot

def main():
    arlo = robot.Robot()
    image = arlo.take_photo()

    aruco_dict = cv2.aruco.Dictionary_get(cv2.aruco.DICT_6X6_250)
    aruco_params = cv2.aruco.DetectorParameters_create()
    detected = cv2.aruco.detectMarkers(
        image,
        aruco_dict,
        parameters=aruco_params
    )
    print(detected)

if __name__ == "__main__":
    main()
